# Function toShapefile

- toShapefile(featureCollection, options?): Promise<Blob>

- Converts an mapping/FeatureCollectionLayerExtension!FeatureCollectionLayerExtension to a zipped shapefile blob..

  #### Parameters

  - featureCollection: FeatureCollectionLayerExtension

    The feature collection to convert.

  - `Optional` options: ToShapefileOptions

    Options for the conversion.

  #### Returns Promise<Blob>